function SelOutURL() {
    var TypeCount = document.getElementsByName("IsOut");
    var s;
    if (navigator.appName == "Microsoft Internet Explorer") {
        s = TypeCount[1].checked;
    }
    else {
        s = TypeCount[0].checked;
    }
    if (s) {
        DianCMS_$("OurUrl").style.display = "none";
    }
    else {
        DianCMS_$("OurUrl").style.display = "";
    }

}

function SelectColumnTemplate() {
    var TypeCount = document.getElementsByName("IsColumnTemplate");
    var s;
    if (navigator.appName == "Microsoft Internet Explorer") {
        s = TypeCount[1].checked;
    }
    else {
        s = TypeCount[0].checked;
    }
    if (s) {
        DianCMS_$("ShowColumnTemplate").style.display = "none";
        DianCMS_$("ShowInfoTemplate").style.display = "none";
        DianCMS_$("ShowColumnTemplate1").style.display = "none";
        DianCMS_$("ShowInfoTemplate1").style.display = "none";
        DianCMS_$("ShowColumnTemplate2").style.display = "none";
        DianCMS_$("ShowInfoTemplate2").style.display = "none";
    }
    else {
        DianCMS_$("ShowColumnTemplate").style.display = "";
        DianCMS_$("ShowInfoTemplate").style.display = "";
        DianCMS_$("ShowColumnTemplate1").style.display = "";
        DianCMS_$("ShowInfoTemplate1").style.display = "";
        DianCMS_$("ShowColumnTemplate2").style.display = "";
        DianCMS_$("ShowInfoTemplate2").style.display = "";
    }

}

function SelInsertHtml() {
    var TypeCount = document.getElementsByName("RadIsExpandHtml");
    var s;
    if (navigator.appName == "Microsoft Internet Explorer") {
        s = TypeCount[1].checked;
    }
    else {
        s = TypeCount[0].checked;
    }
    if (s) {
        DianCMS_$("ParentExpand").style.display = "";

        SelParentExpand();
    }
    else {
        DianCMS_$("ParentExpand").style.display = "none";
        DianCMS_$("InsertWeb").style.display = "none";
    }
}

function SelParentExpand() {
    var TypeCount = document.getElementsByName("RadioIsParentExpand");
    var s;
    if (navigator.appName == "Microsoft Internet Explorer") {
        s = TypeCount[1].checked;
    }
    else {
        s = TypeCount[0].checked;
    }
    if (s) {
        DianCMS_$("InsertWeb").style.display = "none";
    }
    else {
        DianCMS_$("InsertWeb").style.display = "";
    }
}

function SelCreateInfo() {
    var TypeCount = document.getElementsByName("CreateInfoPage");
    var s;
    if (navigator.appName == "Microsoft Internet Explorer") {
        s = TypeCount[1].checked;
    }
    else {
        s = TypeCount[0].checked;
    }
    if (s) {
        DianCMS_$("InfoPage").style.display = "";
    }
    else {
        DianCMS_$("InfoPage").style.display = "none";
    }
}

function PinYin() {
    var chs = DianCMS_$("txtCnName").value;
    D.BLL.B_CHS2PinYin.GetPinYin(chs, CallBack);
}

function CallBack(res) {
    DianCMS_$("txtEnName").value = res.value;
}

function CheckAll(obj, name) {
    var input = DianCMS_$(name).getElementsByTagName("input");
    for (var i = 0; i < input.length; i++) {
        if (input[i].type == "checkbox")
            input[i].checked = obj.checked;
    }
}

function seleCol(obj, name, t) {
    var input = DianCMS_$(name).getElementsByTagName("input");
    for (var i = 0; i < input.length; i++) {
        if (input[i].type == "checkbox" && input[i].name.indexOf(t) != -1) {
            input[i].checked = obj.checked;
        }
    }
}

function selectRow(obj, name) {
    var _id = "_" + obj.id.split("_")[1] + "_";
    var input = DianCMS_$(name).getElementsByTagName("input");
    for (var i = 0; i < input.length; i++) {
        if (input[i].type == "checkbox" && input[i].id.indexOf(_id) != -1) {
            input[i].checked = obj.checked;
        }
    }
}